package com.rongwei.trainingcommon.sys.service;

import com.rongwei.rwcommon.base.R;
import com.rongwei.training.vo.PreviewTrainDemandVo;
import com.rongwei.training.vo.TrainingDemandVo;

import java.util.List;
import java.util.Map;

/**
 * TrainingDemandService class
 *
 * @author XH
 * @date 2023/11/24
 */
public interface TrainingDemandService {
    R releaseTrainDemand(Map<String, Object> parameter);

    R previewTrainDemand(PreviewTrainDemandVo previewTrainDemandVo);

    R getInfoByUser(String userId);

    R showQuestionnaire(String id, boolean showAnswer);

    R submit(List<TrainingDemandVo> trainingDemandVoList);

    R releasedPreviewTrainDemand(String id);

}
